#include "asm86.h"
#include "ti86asm.inc"
#include "ps.h"

.org _asm_exec_ram

 call _clrLCD
start:
 call $5371
 cp $37
 jr nz,noexit
 ret
noexit:
 cp 4
 jr nz,noup
 ld a,(num)
 cp $ff
 jr z,nothin
 inc a
 ld (num),a
 ld a,1
 ld (chk),a
 jr nothin
noup:
 cp 1
 jr nz,nothin
 ld a,(num)
 cp $00
 jr z,nothin
 dec a
 ld (num),a
 ld a,1
 ld (chk),a
nothin:
 ld a,(chk)
 cp 0
 jr z,nochange
 ld hl,$0606
 ld (_curCol),hl
 ld a,(num)
 ld l,a
 ld h,0
 ld a,0
 call $4a33
 ld a,0
 ld (chk),a
nochange:
 ld a,0
 ld e,0
 ld hl,graymask
 call PutSprite
 ld a,(num)
 ld b,a
loop1:
 djnz loop1
 ld a,0
 ld e,0
 ld hl,sprite
 call PutSprite
 ld a,(num)
 ld b,a
loop2:
 djnz loop2
 jr start

graymask:
 .db 11110000b
 .db 11110000b
 .db 11110000b
 .db 11110000b
 .db 00001111b
 .db 00001111b
 .db 00001111b
 .db 00001111b
sprite:
 .db 11110000b
 .db 11110000b
 .db 11110000b
 .db 11110000b
 .db 00000000b
 .db 00000000b
 .db 00000000b
 .db 00000000b

num:
 .db $77
chk:
 .db 1

.end

